package com.milieukontakt.reagiram;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentTransaction;
import android.support.v7.app.ActionBarActivity;
import android.widget.Toast;

import com.milieukontakt.reagiram.fragments.ProfileFragment;
import com.milieukontakt.reagiram.fragments.ReportFragment;
import com.milieukontakt.reagiram.utils.Consts;
import com.milieukontakt.reagiram.utils.Utils;

/**
 * Created by MedoHome on 12.10.13.
 */
public class ReportActivity extends ActionBarActivity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_report);

        getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        getSupportActionBar().setHomeButtonEnabled(true);
        String photoPath = getIntent().getStringExtra(Consts.EXTRA_PHOTO_PATH);

        if (photoPath != null) {
            Bundle args = new Bundle();
            args.putString(Consts.EXTRA_PHOTO_PATH, photoPath);
            Fragment reportFragment = new ReportFragment();
            reportFragment.setArguments(args);

            getSupportFragmentManager()
                    .beginTransaction()
                    .replace(R.id.content_frame, reportFragment)
                    .setTransition(FragmentTransaction.TRANSIT_ENTER_MASK)
                    .commit();
        } else {
            Toast.makeText(this, R.string.toast_invalid_image, Toast.LENGTH_SHORT).show();
            finish();
            return;
        }

        // check if we already have a profile
        String jsonProfile = Utils.getStringFromPrefs(this, Consts.PREF_KEY_PROFILE);
        if (jsonProfile == null) {
            // add make new profile fragment
            getSupportFragmentManager()
                    .beginTransaction()
                    .replace(R.id.content_frame, new ProfileFragment())
                    .setTransition(FragmentTransaction.TRANSIT_ENTER_MASK)
                    .addToBackStack(null)
                    .commit();
        }
    }

    @Override
    public void onBackPressed() {
        // don't go back to the report screen if no profile was created
        if (Utils.getStringFromPrefs(this, Consts.PREF_KEY_PROFILE) == null)
            finish();
        super.onBackPressed();
    }
}
