package com.milieukontakt.reagiram.adapters;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.milieukontakt.reagiram.R;

import java.util.List;

/**
 * Created by MedoHome on 11.10.13.
 */
public class DrawerAdapter extends BaseAdapter {

    private Context mContext;
    private List<String> mItems;

    public DrawerAdapter(Context mContext, List<String> mItems) {
        this.mContext = mContext;
        this.mItems = mItems;
    }

    @Override
    public int getCount() {
        return mItems.size();
    }

    @Override
    public String getItem(int position) {
        return mItems.get(position);
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        // inflate the view if necessary
        if (convertView == null) {
            LayoutInflater inflater = (LayoutInflater) mContext.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
            convertView = inflater.inflate(R.layout.drawer_item, parent, false);
            // use the view holder pattern
            ViewHolder viewHolder = new ViewHolder();
            viewHolder.item = (TextView) convertView.findViewById(R.id.txt_drawer_item);
            convertView.setTag(viewHolder);
        }
        // get the view holder
        ViewHolder holder = (ViewHolder) convertView.getTag();
        // get the item and set the text
        String itemName = getItem(position);
        holder.item.setText(itemName);

        return convertView;
    }

    static class ViewHolder {
        TextView item;
    }
}
