package com.milieukontakt.reagiram.asyncs;

import android.content.Context;
import android.os.AsyncTask;

import com.google.gson.Gson;
import com.milieukontakt.reagiram.models.Profile;
import com.milieukontakt.reagiram.models.ServerResponse;
import com.milieukontakt.reagiram.utils.Consts;
import com.milieukontakt.reagiram.utils.Utils;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicHeader;
import org.apache.http.protocol.HTTP;
import org.apache.http.util.EntityUtils;

/**
 * Created by Medo on 17.10.13.
 */
public class GetUserId extends AsyncTask<Profile, Void, Void> {

    private Context mContext;

    public void setmContext(Context mContext) {
        this.mContext = mContext;
    }

    @Override
    protected Void doInBackground(Profile... params) {
        try {
            // save values without id
            Gson gson = new Gson();
            Utils.setStringToPrefs(mContext, Consts.PREF_KEY_PROFILE, gson.toJson(params[0], Profile.class));

            HttpClient client = new DefaultHttpClient();
            // Execute POST method
            HttpPost request = new HttpPost(Consts.SERVICE_USERCHECK);
            StringEntity se = new StringEntity(gson.toJson(params[0], Profile.class), "UTF-8");
            se.setContentType(new BasicHeader(HTTP.CONTENT_TYPE, "application/json"));
            request.setEntity(se);
            HttpResponse response = client.execute(request);
            // get the response
            HttpEntity responseEntity = response.getEntity();
            String jsonResponse = EntityUtils.toString(responseEntity);
            // check the status
            ServerResponse serverResponse = gson.fromJson(jsonResponse, ServerResponse.class);
            if(serverResponse.getStatus().intValue() <= 0)
                return null;

            // save values with id to preferences as JSON
            params[0].setId(serverResponse.getMessage());
            Utils.setStringToPrefs(mContext, Consts.PREF_KEY_PROFILE, gson.toJson(params[0], Profile.class));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
}
