package com.milieukontakt.reagiram.fragments;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.milieukontakt.reagiram.R;

/**
 * Created by MedoHome on 11.10.13.
 */
public class ContactFragment extends Fragment implements View.OnClickListener {

    private View mView;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        mView = inflater.inflate(R.layout.fragment_contact, container, false);
        mView.findViewById(R.id.txt_report).setOnClickListener(this);
        mView.findViewById(R.id.txt_twitter).setOnClickListener(this);
        mView.findViewById(R.id.txt_fax).setOnClickListener(this);
        mView.findViewById(R.id.txt_email).setOnClickListener(this);
        mView.findViewById(R.id.txt_address).setOnClickListener(this);
        mView.findViewById(R.id.txt_facebook).setOnClickListener(this);
        mView.findViewById(R.id.txt_web).setOnClickListener(this);

        return mView;
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.txt_report:
                Intent callIntent = new Intent(Intent.ACTION_DIAL);
                callIntent.setData(Uri.parse("tel:" + getString(R.string.contact_report)));
                startActivity(callIntent);
                break;
            case R.id.txt_twitter:
                Intent viewIntent = new Intent(Intent.ACTION_VIEW, Uri.parse(getString(R.string.contact_twitter_value)));
                startActivity(viewIntent);
                break;
            case R.id.txt_email:
                Intent emailIntent = new Intent(Intent.ACTION_SENDTO, Uri.fromParts("mailto", getString(R.string.contact_email), null));
                emailIntent.putExtra(Intent.EXTRA_SUBJECT, getString(R.string.contact_email_subject));
                startActivity(emailIntent);
                break;
            case R.id.txt_address:
                String label = getString(R.string.contact_address);
                String uriBegin = "geo:" + getString(R.string.contact_address_value);
                String query = getString(R.string.contact_address_value) + "(" + label + ")";
                String encodedQuery = Uri.encode(query);
                String uriString = uriBegin + "?q=" + encodedQuery + "&z=15";
                Uri uri = Uri.parse(uriString);
                viewIntent = new Intent(android.content.Intent.ACTION_VIEW, uri);
                startActivity(viewIntent);
                break;
            case R.id.txt_facebook:
                viewIntent = new Intent(Intent.ACTION_VIEW, Uri.parse(getString(R.string.contact_facebook_value)));
                startActivity(viewIntent);
                break;
            case R.id.txt_web:
                viewIntent = new Intent(Intent.ACTION_VIEW, Uri.parse(getString(R.string.contact_web)));
                startActivity(viewIntent);
                break;
            default:
                break;
        }
    }
}
