package com.milieukontakt.reagiram.utils;

import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;

import java.util.List;

/**
 * Created by MedoHome on 11.10.13.
 */
public class Utils {

    public static void setStringToPrefs(Context context, String key, String value) {
        SharedPreferences prefs = context.getSharedPreferences(Consts.PREF_NAME, Context.MODE_PRIVATE);
        prefs.edit()
                .putString(key, value)
                .commit();

    }

    public static String getStringFromPrefs(Context context, String key) {
        SharedPreferences prefs = context.getSharedPreferences(Consts.PREF_NAME, Context.MODE_PRIVATE);
        return prefs.getString(key, null);
    }

    public static void setLongToPrefs(Context context, String key, long value) {
        SharedPreferences prefs = context.getSharedPreferences(Consts.PREF_NAME, Context.MODE_PRIVATE);
        prefs.edit()
                .putLong(key, value)
                .commit();

    }

    public static long getLongFromPrefs(Context context, String key) {
        SharedPreferences prefs = context.getSharedPreferences(Consts.PREF_NAME, Context.MODE_PRIVATE);
        return prefs.getLong(key, 0);
    }

    public static boolean isIntentAvailable(Context context, String action) {
        final PackageManager packageManager = context.getPackageManager();
        final Intent intent = new Intent(action);
        List<ResolveInfo> list = packageManager.queryIntentActivities(intent, PackageManager.MATCH_DEFAULT_ONLY);
        return list.size() > 0;
    }

    public static NetworkInfo getNetworkInfo(Context context) {
        ConnectivityManager cm = (ConnectivityManager) context.getSystemService(Context.CONNECTIVITY_SERVICE);
        return cm.getActiveNetworkInfo();
    }

    public static boolean isConnected(Context context) {
        NetworkInfo info = getNetworkInfo(context);
        return (info != null && info.isConnected());
    }

    public static boolean isConnectedWifi(Context context) {
        NetworkInfo info = getNetworkInfo(context);
        return (info != null && info.isConnected() && info.getType() == ConnectivityManager.TYPE_WIFI);
    }
}
